<?php require_once('Connections/cn.php'); ?>
<?php
	$id_periodo=$_GET['periodo'];
	$id_docente=$_GET['id_docente'];
	
	mysql_select_db($database_cn, $cn);
	mysql_query ("SET NAMES 'utf8'");
 	$sql = "select * from docentes where id_docente='$id_docente'";
 	$rs=mysql_query($sql, $cn);
	$row= mysql_fetch_assoc($rs);
    $cedula=$row["cedula"];
	
	$sql1 = "select * from autorizaciones_carga where id_docente='$cedula' and id_periodo='$id_periodo' ORDER BY id DESC";
 	$rs1=mysql_query($sql1, $cn);
	$row1= mysql_fetch_assoc($rs1);
	$reg=mysql_num_rows($rs1);
	
	if ($reg == 0)
	 {
	 ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!. Se requiere AUTORIZACIÓN\npara cargar calificaciones de este lapso."
	 	alert(msj);
		window.parent.document.form1.sede.value="0";
		window.parent.document.form1.turno.value="0";
		window.parent.document.form1.seccion.value="0";
		window.parent.document.form1.materia.value="0";
	
		window.parent.document.form1.periodo.focus();
		window.parent.document.form1.periodo.value="0";
		window.parent.document.form1.profesor.value="0";
		
	 </script>
	 <?php
	   exit;
	 }
	 $fecha_hoy=$fechs = date("Y-m-d");
	 $fecha_desde=$row1["fecha_desde"];
	 $fecha_hasta= $row1["fecha_hasta"];
	 if($fecha_hoy<$fecha_desde or $fecha_hoy>$fecha_hasta){
	 ?>
	 <script type="text/javascript">
	    msj="!Lo sentimos!. Su AUTORIZACIÓN tenía vigencia\ndel <?php echo join ("-",(array_reverse(explode("-",$row1["fecha_desde"])))) ?> al  <?php echo join ("-",(array_reverse(explode("-",$row1["fecha_hasta"])))) ?>. Por favor solicite\nuna nueva autorización a su Coordinador."
	 	alert(msj);
		window.parent.document.form1.sede.value="0";
		window.parent.document.form1.turno.value="0";
		window.parent.document.form1.seccion.value="0";
		window.parent.document.form1.materia.value="0";
	
		window.parent.document.form1.periodo.focus();
		window.parent.document.form1.periodo.value="0";
		window.parent.document.form1.profesor.value="0";
		
	 </script>
	 <?php
	   exit;
	 }
	 
	 ?>
	 <script type="text/javascript">
	    msj="!APRECIADO DOCENTE!\nUsted tiene AUTORIZACIÓN para este registrar sus calificaciones del <?php echo join ("-",(array_reverse(explode("-",$row1["fecha_desde"])))) ?> al  <?php echo join ("-",(array_reverse(explode("-",$row1["fecha_hasta"])))) ?>.\nUna vez que culmine imprima el Registro de Evaluación Acumulada y el Acta de Calificación Final y entreguelas a su Coordinador de Área o Mención."
	 	alert(msj);
		
	 </script>
	 <?php
	  
	
	
?>